Package twisted :: Package python :: Module dispatch :: Class EventDispatcher

[frames | no frames]

## Class EventDispatcher

A global event dispatcher for events. I'm used for any events that need to span disparate objects in the client.

I should only be used when one object needs to signal an object that it's not got a direct reference to (unless you really want to pass it through here, in which case I won't mind).

I'm mainly useful for complex GUIs.

Method Summary
| `__init__(self, prefix)`
| `autoRegister(self, obj)`
| `publishEvent(self, name, *args, **kwargs)`
| `registerHandler(self, name, meth)`

Generated by Epydoc 2.0 on Sat May 15 20:07:37 2004 | http://epydoc.sf.net